<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	header("Access-Control-Allow-Methods: POST");
	 
	// include database and object files
	include_once '../../config/database.php';
	include_once '../../objects/brand.php';
	 
	// instantiate database
	$database = new Database();
	$db = $database->getConnection();
	 
	// initialize object
	$brand = new Brand($db);
	$data = json_decode(file_get_contents("php://input"));

	$brand->category = $data->category;
	$stmt = $brand->getAllRows();
	$num = $stmt->rowCount();

	$arr=array();
	$arr["records"]=array();
	if($num>0){
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$detail=array(
				"id" => (int)$id,
				"category" => $category,
				"brand" => $brand
			);
			array_push($arr["records"], $detail);
		}
	}
	echo json_encode($arr);
?>